% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/load_data.R
\name{to_LocusTag}
\alias{to_LocusTag}
\title{Converting gene ID to locus tag}
\usage{
to_LocusTag(input_ID, ref_IDs)
}
\arguments{
\item{input_ID}{character, the input gene ID.}

\item{ref_IDs}{a vector storing reference gene IDs that do not need
conversion}
}
\value{
the corresponding PAO1 locus tag ("PAXXXX") for the input gene or NA
if the input gene is not recognized.
}
\description{
Converts the input gene ID to PAO1 locus tag that are used in ADAGE models.
It currently can convert gene IDs on AFFY chip, PAO1 gene symbols, and
PAO1 gene orthologs in other P.a. strains. It returns NA if the input is not
recognized as one of above.
}

